• Precios
  • Blog
Iniciar sesiónAgendá una demo
Add seats POSTBulk set seats PUTGet all seat balances GETGet seat balance GETRemove seats POSTSet seats PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Bulk set seats

Set all seat types at once.

PUT
/seats/bulk

Set all seat types at once.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Header Parameters

Idempotency-Key?string

Unique key used to safely retry this write for 24 hours without applying it twice.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/seats/bulk" \  -H "Content-Type: application/json" \  -d '{    "customerId": "string",    "seats": {      "property1": 0,      "property2": 0    }  }'
{  "object": "list",  "data": [    {      "id": "string",      "customerId": "string",      "featureCode": "string",      "previousBalance": -9007199254740991,      "newBalance": -9007199254740991,      "ts": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "object": "seat_event",      "livemode": true    }  ],  "hasMore": true,  "nextCursor": "string"}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Add seats POST

Add seats to a customer's subscription. Prorates charges for the current billing period.

Get all seat balances GET

Get the current balance for all seat types in a customer's subscription.

customerId*string
Length1 <= length <= 200
seats*